### Method

# WebKit2 WebView set_editable

#### Declaration [src]

    void
    webkit_web_view_set_editable (
      WebKitWebView* web_view,
      gboolean editable
    )

#### Description [src]

Sets whether the user is allowed to edit the HTML document.

If `editable` is `TRUE`, `web_view` allows the user to edit the HTML document. If `editable` is `FALSE`, an element in `web_view`‘s document can only be edited if the CONTENTEDITABLE attribute has been set on the element or one of its parent elements. By default a `WebKitWebView` is not editable.

Normally, a HTML document is not editable unless the elements within the document are editable. This function provides a way to make the contents of a `WebKitWebView` editable without altering the document or DOM structure.

Available since: | 2.8

Sets property | `WebKit2.WebView:editable`

#### Parameters

`editable` | `gboolean`
| A #gboolean indicating the editable state.